import { UniqueBackendIdentifier } from '@aws-amplify/plugin-types';
import { BackendDeployer, DeployProps } from './cdk_deployer_singleton_factory.js';
/**
 * Invokes CDK command via execa
 */
export declare class CDKDeployer implements BackendDeployer {
    /**
     * Invokes cdk deploy command
     */
    deploy: (uniqueBackendIdentifier?: UniqueBackendIdentifier, deployProps?: DeployProps) => Promise<void>;
    /**
     * Invokes cdk destroy command
     */
    destroy: (uniqueBackendIdentifier?: UniqueBackendIdentifier) => Promise<void>;
    /**
     * Executes a CDK command
     */
    private invoke;
    /**
     * Wrapper for the child process executor. Helps in unit testing as node:test framework
     * doesn't have capabilities to mock exported functions like `execa` as of right now.
     */
    executeChildProcess: (command: string, cdkCommandArgs: string[]) => Promise<void>;
}
//# sourceMappingURL=cdk_deployer.d.ts.map